<?php declare(strict_types = 1);
namespace Newland\Toubiz\Sync\Neos\Command;

use Newland\Toubiz\Sync\Neos\Utility\SimpleFilebasedLock;

class LockCommandController extends \Newland\NeosCommon\Command\AbstractCommandController
{
    use UsesLockFile;

    public function releaseCommand(): void
    {
        $lock = new SimpleFilebasedLock($this->getLockPath());
        if ($lock->isLocked()) {
            $lock->release();
        }
    }
}
